| LUFA Library 140302 |

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
USB_ClassInfo_MS_Device_t Struct Reference
Mass Storage Class Device Mode Driver

Mass Storage Class Device Mode Configuration and State Structure. More...

`#include <MassStorageClassDevice.h>`

## Data Fields
struct {
USB_Endpoint_Table_t DataINEndpoint
USB_Endpoint_Table_t DataOUTEndpoint
uint8_t InterfaceNumber
uint8_t TotalLUNs
} | Config
struct {
MS_CommandBlockWrapper_t CommandBlock
MS_CommandStatusWrapper_t CommandStatus
volatile bool IsMassStoreReset
} | State

## Detailed Description

Class state structure. An instance of this structure should be made for each Mass Storage interface within the user application, and passed to each of the Mass Storage class driver functions as the `MSInterfaceInfo` parameter. This stores each Mass Storage interface's configuration and state information.

## Field Documentation

MS_CommandBlockWrapper_t USB_ClassInfo_MS_Device_t::CommandBlock

Mass Storage class command block structure, stores the received SCSI command from the host which is to be processed.

MS_CommandStatusWrapper_t USB_ClassInfo_MS_Device_t::CommandStatus

Mass Storage class command status structure, set elements to indicate the issued command's success or failure to the host.

struct { ... } USB_ClassInfo_MS_Device_t::Config

Config data for the USB class interface within the device. All elements in this section must be set or the interface will fail to enumerate and operate correctly.

USB_Endpoint_Table_t USB_ClassInfo_MS_Device_t::DataINEndpoint

Data IN endpoint configuration table.

USB_Endpoint_Table_t USB_ClassInfo_MS_Device_t::DataOUTEndpoint

Data OUT endpoint configuration table.

uint8_t USB_ClassInfo_MS_Device_t::InterfaceNumber

Interface number of the Mass Storage interface within the device.

volatile bool USB_ClassInfo_MS_Device_t::IsMassStoreReset

Flag indicating that the host has requested that the Mass Storage interface be reset and that all current Mass Storage operations should immediately abort.

struct { ... } USB_ClassInfo_MS_Device_t::State

State data for the USB class interface within the device. All elements in this section are reset to their defaults when the interface is enumerated.

uint8_t USB_ClassInfo_MS_Device_t::TotalLUNs

Total number of logical drives in the Mass Storage interface.

The documentation for this struct was generated from the following file:

- Drivers/USB/Class/Device/MassStorageClassDevice.h